Bug 1566004 - ansible-vault edit asks to change the vault password
Summary: ansible-vault edit asks to change the vault password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ansible
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1566001
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 10:22 UTC by James Hogarth
Modified: 2018-05-13 20:31 UTC (History)
7 users (show)

Fixed In Version: ansible-2.5.1-1.el7 ansible-2.5.1-1.fc27 ansible-2.5.1-1.fc28 ansible-2.5.1-1.fc26 ansible-2.5.2-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566001
Environment:
Last Closed: 2018-04-21 02:57:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ansible ansible issues 35834 None None None 2018-04-11 10:22:03 UTC

Description James Hogarth 2018-04-11 10:22:04 UTC
+++ This bug was initially created as a clone of Bug #1566001 +++

ISSUE TYPE
Bug Report

COMPONENT NAME
Ansible-Vault

ANSIBLE VERSION
ansible 2.5.0 (devel 0c5650ee1b) last updated 2018/02/07 09:13:57 (GMT +200)
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/home/marcel/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /home/marcel/Sources/github/ansible/lib/ansible
  executable location = /home/marcel/Sources/github/ansible/bin/ansible
  python version = 2.7.12 (default, Dec  4 2017, 14:50:18) [GCC 5.4.0 20160609]
CONFIGURATION
Default settings, nothing has changed

OS / ENVIRONMENT
N/A

SUMMARY
ansible-vault edit asks you to change the password every time since commit ffe0dde if you do not have a vault_password_file in your config.

STEPS TO REPRODUCE
git clone https://github.com/ansible/ansible.git
create a file
encrypt it with ansible-vault encrypt
edit the file with ansible-vault edit
# echo "---" > vault_issue.yml
# ansible-vault encrypt vault_issue.yml
# ansible-vault edit vault_issue.yml
EXPECTED RESULTS
Ansible should ask just for the current password and not set a new one.

ACTUAL RESULTS
$ ansible-vault edit group_vars/do-stage-oam.yml -vvv
ansible-vault 2.5.0 (devel 0c5650ee1b) last updated 2018/02/07 09:13:57 (GMT +200)
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/home/marcel/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /home/marcel/Sources/github/ansible/lib/ansible
  executable location = /home/marcel/Sources/github/ansible/bin/ansible-vault
  python version = 2.7.12 (default, Dec  4 2017, 14:50:18) [GCC 5.4.0 20160609]
Using /etc/ansible/ansible.cfg as config file
Vault password: 
New Vault password: 
Confirm New Vault password: 

Notes: affects ansible-2.5.0-2 in fedora and epel

Comment 1 Kevin Fenzi 2018-04-11 15:57:46 UTC
2.5.1 should be out soon, will push that as soon as it appears...

Comment 2 Fedora Update System 2018-04-19 05:02:58 UTC
ansible-2.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d35b90fd1d

Comment 3 Fedora Update System 2018-04-19 05:03:37 UTC
ansible-2.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad971a0926

Comment 4 Fedora Update System 2018-04-19 05:04:03 UTC
ansible-2.5.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-abc92e5946

Comment 5 Fedora Update System 2018-04-19 05:04:27 UTC
ansible-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-de434df4ac

Comment 6 Fedora Update System 2018-04-19 05:04:54 UTC
ansible-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b2058f774a

Comment 7 Fedora Update System 2018-04-19 08:55:33 UTC
ansible-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-de434df4ac

Comment 8 Fedora Update System 2018-04-19 16:59:01 UTC
ansible-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad971a0926

Comment 9 Fedora Update System 2018-04-19 17:12:15 UTC
ansible-2.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b2058f774a

Comment 10 Fedora Update System 2018-04-19 17:38:35 UTC
ansible-2.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d35b90fd1d

Comment 11 Fedora Update System 2018-04-19 21:56:59 UTC
ansible-2.5.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-abc92e5946

Comment 12 Fedora Update System 2018-04-21 02:57:46 UTC
ansible-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-04-21 03:40:31 UTC
ansible-2.5.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-26 22:23:46 UTC
ansible-2.5.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cd33ebf025

Comment 15 Fedora Update System 2018-04-27 04:08:14 UTC
ansible-2.5.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-04-27 11:18:02 UTC
ansible-2.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-04-28 17:36:12 UTC
ansible-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cd33ebf025

Comment 18 Fedora Update System 2018-05-13 20:31:31 UTC
ansible-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.